- [HTTP request](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.dataScans.jobs/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.dataScans.jobs/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.dataScans.jobs/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.dataScans.jobs/list#body.request_body)
- [Response body](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.dataScans.jobs/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.dataScans.jobs/list#body.ListDataScanJobsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.dataScans.jobs/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.dataScans.jobs/list#try-it)

Lists DataScanJobs under the given DataScan.

### HTTP request

`GET https://dataplex.googleapis.com/v1/{parent=projects/*/locations/*/dataScans/*}/jobs`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the parent environment: `projects/{project}/locations/{locationId}/dataScans/{dataScanId}` where `project` refers to a *projectId* or *projectNumber* and `locationId` refers to a Google Cloud region. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `dataplex.datascans.get` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Maximum number of DataScanJobs to return. The service may return fewer than this value. If unspecified, at most 10 DataScanJobs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. Page token received from a previous `jobs.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `jobs.list` must match the call that provided the page token. |
| `filter` | `string` Optional. An expression for filtering the results of the jobs.list request. If unspecified, all datascan jobs will be returned. Multiple filters can be applied (with `AND`, `OR` logical operators). Filters are case-sensitive. Allowed fields are: - `startTime` - `endTime` `startTime` and `endTime` expect RFC-3339 formatted strings (e.g. 2018-10-08T18:30:00-07:00). For instance, 'startTime \> 2018-10-08T00:00:00.123456789Z AND endTime \< 2018-10-09T00:00:00.123456789Z' limits results to DataScanJobs between specified start and end times. |

### Request body

The request body must be empty.

### Response body

List DataScanJobs response.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "dataScanJobs": [ { object (`https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.dataScans.jobs#DataScanJob`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `dataScanJobs[]` | ``object (`https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.dataScans.jobs#DataScanJob`)`` DataScanJobs (`BASIC` view only) under a given dataScan. |
| `nextPageToken` | `string` Token to retrieve the next page of results, or empty if there are no more results in the list. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/cloud-platform.read-only`
- `
  https://www.googleapis.com/auth/dataplex.read-write`
- `
  https://www.googleapis.com/auth/dataplex.readonly`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).